Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Public Attributes | List of all members
KeyCode Struct Reference

Simple data-struct representing a key-stroke on the keyboard. More...

`#include <keycodes.h>`

## Public Member Functions
SMTG_CONSTEXPR14 | KeyCode (char character=0, uint8 virt=0, uint8 modifier=0)
| Constructs a new KeyCode.
SMTG_CONSTEXPR14 KeyCode & | operator= (const KeyCode &other) SMTG_NOEXCEPT

## Public Attributes
char | character
| The associated character.
uint8 | virt {0}
| The associated virtual key-code.
uint8 | modifier {0}
| The associated virtual modifier-code.

## Detailed Description

Simple data-struct representing a key-stroke on the keyboard.

## Constructor & Destructor Documentation

SMTG_CONSTEXPR14 KeyCode | ( | char | character = `0`,
|  | uint8 | virt = `0`,
|  | uint8 | modifier = `0`
| ) |  |
| inline

Constructs a new KeyCode.

## Member Function Documentation

SMTG_CONSTEXPR14 KeyCode& operator= | ( | const KeyCode & | other | ) |
| inline

## Member Data Documentation

char character

The associated character.

uint8 virt {0}

The associated virtual key-code.

uint8 modifier {0}

The associated virtual modifier-code.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.